%define rel   1
%define subrel 1
%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: Terminal emulator that uses modern EFL
Name:    terminology
Version: 1.1.0
Release: %mkrel %rel
License: LGPLv2+
Group:   Graphical desktop/Enlightenment
Source:  %name-%version.tar.xz
URL:     http://www.enlightenment.org/

#fixes #24110
Patch0: terminology-1.1.0-CVE-2018-20167.patch

BuildRequires: pkgconfig(efl)
BuildRequires: pkgconfig(eina)
BuildRequires: efl

#missing requires to make it works out of the e-box (mga#12194)
Requires: efl

%description
Terminology is a terminal emulator that uses modern EFL components 
to build its UI and core. It is written from scratch and does not 
use any components outside of EFL and libc, so it should be very 
portable and easy to build. For more information, please see the
Terminology Page.

%prep
%setup -qn %name-%version
%autopatch -p1

%build
%configure2_5x
%make

%install
%make_install

find %buildroot -name *.la -delete

%find_lang %name

%files -f %name.lang
%doc AUTHORS README
%{_bindir}/%name
%{_bindir}/tyalpha
%{_bindir}/tybg
%{_bindir}/tycat
%{_bindir}/tyls
%{_bindir}/typop
%{_bindir}/tyq
%{_datadir}/%name
%{_iconsdir}/%name.png
%{_datadir}/applications/%name.desktop
%{_mandir}/*/*


%changelog
* Wed Jan 09 2019 eatdirt <eatdirt> 1.1.0-1.1.mga6
+ Revision: 1353465
- Security fix for mga#24110
- Update to latest version (mga#20717)

* Thu May 25 2017 eatdirt <eatdirt> 1.0.0-3.mga6
+ Revision: 1104540
- Rebuild for new efl

* Tue May 02 2017 eatdirt <eatdirt> 1.0.0-2.mga6
+ Revision: 1098741
- Rebuild for new efl

* Fri Jan 20 2017 eatdirt <eatdirt> 1.0.0-1.mga6
+ Revision: 1082507
- Upgrade terminology to version 1.0.0

* Tue Nov 29 2016 eatdirt <eatdirt> 0.9.1-4.mga6
+ Revision: 1070920
- Rebuild for new efl
- Rebuild for new efl
+ neoclust <neoclust>
- Add P0 to fix cve-2015-8971

* Wed Feb 17 2016 umeabot <umeabot> 0.9.1-2.mga6
+ Revision: 963054
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 trem <trem> 0.9.1-1.mga6
+ Revision: 895054
- terminology: bump version to 0.9.1

* Sat Sep 19 2015 trem <trem> 0.9.0-1.mga6
+ Revision: 881324
- terminology: bump version to 0.9.0

* Sun Jul 05 2015 trem <trem> 0.8.0-1.mga6
+ Revision: 851144
- terminology: bump version to 0.8.0

* Thu Nov 13 2014 eatdirt <eatdirt> 0.6.1-6.mga5
+ Revision: 796801
- Fix missing requires (mga#12194)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-5.mga5
+ Revision: 741279
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-4.mga5
+ Revision: 689833
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 trem <trem> 0.6.1-3.mga5
+ Revision: 672598
- bump release to force rebuild

* Mon Jul 14 2014 trem <trem> 0.6.1-1.mga5
+ Revision: 652157
- bump to 0.6.1

* Thu Mar 13 2014 trem <trem> 0.5.0-1.mga5
+ Revision: 603170
- bump release  to force rebuild

* Tue Feb 25 2014 trem <trem> 0.4.0-1.mga5
+ Revision: 597190
- add efl as buildrequires
- bump version to 0.4.0

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 531846
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 trem <trem> 0.3.0-1.mga4
+ Revision: 465547
- update version to 0.3.0

* Mon Jan 14 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 384391
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 trem <trem> 0.2.0-1.mga3
+ Revision: 333964
- imported package terminology

